Repository 32bit  Forum
Repository 64bit  Wiki

errore compilazione slackbuild yakuake

Se avete problemi con l'installazione e la configurazione di Slackware postate qui. Non usate questo forum per argomenti generali... per quelli usate Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware, se l'argomento è generale usate il forum Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute.
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

errore compilazione slackbuild yakuake

Messaggioda Procopio » mar gen 21, 2014 1:08

Ciao a tutti! lo slackbuild mi da questo errore
Codice: Seleziona tutto
...
yakuake-2.9.9/data/skins/default/tabs/separator.png
yakuake-2.9.9/data/skins/default/tabs/unselected_back.png
yakuake-2.9.9/data/skins/default/tabs/selected_back.png
yakuake-2.9.9/COPYING.DOC
yakuake-2.9.9/NEWS
-- The C compiler identification is GNU 4.7.1
-- The CXX compiler identification is GNU 4.7.1
-- Check for working C compiler: /usr/bin/gcc
-- Check for working C compiler: /usr/bin/gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
CMake Error at /usr/share/apps/cmake/modules/FindKDE4Internal.cmake:350 (cmake_minimum_required):
  CMake 2.8.9 or higher is required.  You are running version 2.8.8
Call Stack (most recent call first):
  /usr/share/cmake-2.8/Modules/FindKDE4.cmake:95 (FIND_PACKAGE)
  CMakeLists.txt:5 (find_package)


CMake Warning (dev) in CMakeLists.txt:
  No cmake_minimum_required command is present.  A line of code such as

    cmake_minimum_required(VERSION 2.8)

  should be added at the top of the file.  The version specified may be lower
  if you wish to support older CMake versions for this project.  For more
  information run "cmake --help-policy CMP0000".
This warning is for project developers.  Use -Wno-dev to suppress it.

-- Configuring incomplete, errors occurred!
ho tentato di inserire -Wno-dev sotto il make nello slackbuild, ma mi da errore comunque, mi dice che devo aggiornare il cmake almeno alla 2.9 (che non c'è neanche per la 14.1!!!) ovviamente io preferirei non aggiornare quel pacchetto, ma trovare una soluzione a questo...
Scusate l'ignoranza, ma in che modo posso inserire i comandi che mi suggerisce lo slackbuild??

Ho appena effettuato un upgrade di kde alla 4.10.5, non è che c'entra qualcosa con questo errore? altrimenti qua mi deve prendere il terrore ogni volta che ho bisogni di compilare qualcosa... :shock:
Avatar utente
Procopio
Linux 2.6
Linux 2.6
 
Messaggi: 589
Iscritto il: ven lug 29, 2011 10:50
Località: Torino
Nome Cognome: Matteo Micheletto Oddino
Slackware: 14.0
Kernel: 3.2.29-smp
Desktop: KDE 4.10.5

Re: errore compilazione slackbuild yakuake

Messaggioda Loris » mar gen 21, 2014 8:43

Procopio ha scritto:Ho appena effettuato un upgrade di kde alla 4.10.5, non è che c'entra qualcosa con questo errore? altrimenti qua mi deve prendere il terrore ogni volta che ho bisogni di compilare qualcosa... :shock:

Credo di si...
A me compila regolarmente, se aspetti qualche giorno ti metto su il tgz fatto.
Ciao.
Loris

p.s. nel frattempo guarda anche questo http://slackbuilds.org/repository/14.1/ ... ch=yakuake
"Ho una testa piuttosto balzana e comunque non sono quello che credete" - Roger Keith Barrett
Avatar utente
Loris
Admin
Admin
 
Messaggi: 7583
Iscritto il: dom mar 30, 2003 23:00
Località: Gradisca D'Isonzo
Nome Cognome: Loris Vincenzi
Slackware: 14.1
Kernel: 3.10.17
Desktop: Kde 4.10.5

Re: errore compilazione slackbuild yakuake

Messaggioda Procopio » mar gen 21, 2014 11:04

grazie mille!!

Loris ha scritto:p.s. nel frattempo guarda anche questo http://slackbuilds.org/repository/14.1/ ... ch=yakuake

avevo già provato, ma mi da lo stesso errore (anche con il pacchetto della 13.37)...eppure non è che l'aggiornamento di kde mi abbia abbassato la versione di cmake...
oltretutto io l'ho installata su una slack con tutto il ramo kde già installato (cioè ho proprio solo fatto un upgrade), e sul sito di alien c'era scritto che in questo modo non c'erano problemi...
Avatar utente
Procopio
Linux 2.6
Linux 2.6
 
Messaggi: 589
Iscritto il: ven lug 29, 2011 10:50
Località: Torino
Nome Cognome: Matteo Micheletto Oddino
Slackware: 14.0
Kernel: 3.2.29-smp
Desktop: KDE 4.10.5


Torna a Slackware

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite

cron